Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185511 - ExcludeArchs (x86_64, ppc64, ia64)
Summary: ExcludeArchs (x86_64, ppc64, ia64)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: z88dk
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x64, F-ExcludeArch-x64 FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2006-03-15 12:44 UTC by Paul F. Johnson
Modified: 2007-12-13 22:18 UTC (History)
1 user (show)

Fixed In Version: 1.7-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-07 14:46:09 UTC


Attachments (Terms of Use)

Description Paul F. Johnson 2006-03-15 12:44:06 UTC
Description of problem:

Currently has ExclArchs for ia64 and x86_64. There is little or no development
upstream for this.

Resolution:

I (PFJ) am working on a series of patches to make the code 32/64 neutral

Comment 1 Kevin Kofler 2007-12-06 06:39:43 UTC
Reassigning to me (new owner).
Did something ever come out of these patches? If not, I'll have a try myself.

Comment 2 Kevin Kofler 2007-12-07 14:46:09 UTC
So I looked for all compiler warnings usually indicating 64-bit problems, fixed 
the ones which actually were problems, then fixed 2 bugs (one in sccz80 and one 
in z80asm) which made it misbehave on x86_64, the result is the 
z88dk-1.7-64bit.patch I just committed.

Builds fine on x86_64, can compile a TI-85 program just fine in my x86_64 QEMU 
VM and the result is bit-identical to the one I get on my 32-bit hardware. I 
submitted a build to Koji without the ExcludeArchs and it completed 
successfully, so I'll close this.

I will push updates to F7/F8 updates-testing shortly.

Comment 3 Fedora Update System 2007-12-07 21:32:38 UTC
z88dk-1.7-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update z88dk'

Comment 4 Fedora Update System 2007-12-07 21:32:48 UTC
z88dk-1.7-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update z88dk'

Comment 5 Fedora Update System 2007-12-13 22:17:45 UTC
z88dk-1.7-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-12-13 22:18:44 UTC
z88dk-1.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.